/* Global alert, console */
"use strict";

/* If browser has support for installable apps, run the install code; if not, hide the install button.
 */
if (navigator.mozApps) {
    var checkIfInstalled = navigator.mozApps.getSelf();
    checkIfInstalled.onsuccess = function() {
	if (checkIfInstalled.result) {
	    /* Already installed */
	    var installationInstructions = document.querySelector("#message");
	    if (installationInstructions) {
		installationInstructions.style.display = "none";
	    }
	}
	else {
	    var install = document.querySelector("#install"),
	    manifestURL = location.href.substring(0, location.href.lastIndexOf("/")) + "/manifest-hosted.webapp";
	    install.className += " show-install";
	    install.onclick = function() {
		var installApp = navigator.mozApps.install(manifestURL);
		installApp.onsuccess = function() {
		    install.style.display = "none";
		};
		installApp.onerror = function() {
		    alert("Install failed\n\n:" + installApp.error.name);
		};
	    };
	}
    };
}
else {
    console.log("Open Web Apps not supported!");
}

/* Reload content...
 */
var reload = document.querySelector("#reload");
if (reload) {
    reload.onclick = function() {
	location.reload(true);
    };
}
